Kodi 16 on DietPi

Have some feedback, questions, suggestions, or just fancy a chat? Pop it in here.
Post Reply
CGarces

Kodi 16 on DietPi

Post by CGarces »

Hi!

I'm using a RPI B+, and I have tied to install kodi 16.1 using the testing repositories of raspbian

Code: Select all

root@DietPi:~# apt-get install kodi/testing -t testing
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Selected version '16.1+dfsg1-2+b1' (Raspbian:testing [armhf]) for 'kodi'
The following packages were automatically installed and are no longer required:
  libao-common libao4 libdbus-glib-1-2 libenca0 libimobiledevice4 libmicrohttpd10 libplist2 libshairplay0 libupower-glib3 libusbmuxd2 python-bluez python-crypto python-ldb python-ntdb python-samba
  python-simplejson python-support python-tdb samba-common samba-common-bin upower usbmuxd
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  dbus eject fonts-roboto-hinted gcc-6-base gdisk kodi-bin kodi-data kodi-visualization-spectrum libapparmor1 libass5 libatasmart4 libatomic1 libavcodec57 libavfilter6 libavformat57 libavresample3 libavutil55
  libbluray1 libbs2b0 libc-bin libc-l10n libc6 libcairo2 libchromaprint1 libcrossguid0 libdbus-1-3 libdvdnav4 libdvdread4 libebur128-1 libfftw3-double3 libflite1 libgcrypt20 libgif7 libgl1-mesa-glx
  libglapi-mesa libgles2-mesa libgme0 libgnutls30 libgomp1 libgsm1 libgssapi-krb5-2 libhogweed4 libjs-iscroll libk5crypto3 libkrb5-3 libkrb5support0 libmicrohttpd12 libmodplug1 libmp3lame0 libmpeg2-4
  libncurses5 libncursesw5 libnettle6 libnfs8 libnih-dbus1 libnih1 libopencv-core2.4v5 libopencv-imgproc2.4v5 libopenjp2-7 libopus0 liborc-0.4-0 libp11-kit0 libpcrecpp0v5 libplist3 libpng16-16 libpostproc54
  librubberband2 libschroedinger-1.0-0 libshine3 libsnappy1v5 libsodium18 libsoxr0 libspeex1 libspeexdsp1 libssh-gcrypt-4 libssl1.0.2 libstdc++6 libswresample2 libswscale4 libtag1v5 libtag1v5-vanilla
  libtasn1-6 libtheora0 libtinfo5 libtinyxml2.6.2v5 libtwolame0 libudisks2-0 libva-drm1 libva1 libvpx4 libwavpack1 libwebp6 libwebpmux2 libx264-148 libx265-87 libxcb-randr0 libxvidcore4 libzmq5 libzvbi-common
  libzvbi0 locales manpages udisks2
Suggested packages:
  cdtool setcd libbluray-bdj glibc-doc libdvdcss2 libfftw3-bin libfftw3-dev rng-tools gnutls-bin krb5-doc krb5-user opus-tools speex man-browser btrfs-tools cryptsetup-bin exfat-utils mdadm reiserfsprogs
  xfsprogs
Recommended packages:
  libgl1-mesa-dri krb5-locales libgpm2
The following packages will be REMOVED:
  libnfs4 libpcrecpp0 libtag1-vanilla libtag1c2a libtinyxml2.6.2
The following NEW packages will be installed:
  eject fonts-roboto-hinted gcc-6-base gdisk kodi-data kodi-visualization-spectrum libapparmor1 libatasmart4 libatomic1 libavcodec57 libavfilter6 libavformat57 libavresample3 libavutil55 libbs2b0 libc-l10n
  libcairo2 libchromaprint1 libcrossguid0 libdvdnav4 libdvdread4 libebur128-1 libfftw3-double3 libflite1 libgif7 libgles2-mesa libgme0 libgnutls30 libgomp1 libgsm1 libhogweed4 libjs-iscroll libmicrohttpd12
  libmodplug1 libmp3lame0 libmpeg2-4 libnettle6 libnfs8 libopencv-core2.4v5 libopencv-imgproc2.4v5 libopenjp2-7 libopus0 liborc-0.4-0 libpcrecpp0v5 libplist3 libpng16-16 libpostproc54 librubberband2
  libschroedinger-1.0-0 libshine3 libsnappy1v5 libsodium18 libsoxr0 libspeex1 libspeexdsp1 libssh-gcrypt-4 libssl1.0.2 libswresample2 libswscale4 libtag1v5 libtag1v5-vanilla libtheora0 libtinyxml2.6.2v5
  libtwolame0 libudisks2-0 libva-drm1 libvpx4 libwavpack1 libwebp6 libwebpmux2 libx264-148 libx265-87 libxcb-randr0 libxvidcore4 libzmq5 libzvbi-common libzvbi0 manpages udisks2
The following packages will be upgraded:
  dbus libass5 libbluray1 libc-bin libc6 libdbus-1-3 libgcrypt20 libgl1-mesa-glx libglapi-mesa libgssapi-krb5-2 libk5crypto3 libkrb5-3 libkrb5support0 libncurses5 libncursesw5 libnih-dbus1 libnih1 libp11-kit0
  libstdc++6 libtasn1-6 libtinfo5 libva1 locales
The following packages will be DOWNGRADED:
  kodi kodi-bin
23 upgraded, 79 newly installed, 2 downgraded, 5 to remove and 354 not upgraded.
I get a "segmentation fault error", with two error lines in the log

Code: Select all

18:02:43 T:3019825152   ERROR: DBus: Error org.freedesktop.DBus.Error.InvalidArgs - No such property CanSuspend
18:02:43 T:3019825152   ERROR: DBus: Error org.freedesktop.DBus.Error.InvalidArgs - No such property CanHibernate
See full log

How can i instal kodi 16.x on Diet Pi?
GaM3r2Xtreme
Posts: 10
Joined: Thu Jun 02, 2016 4:00 am

Re: Kodi 16 on DietPi

Post by GaM3r2Xtreme »

Hey CG,

Dietpi should have Kodi within the dietpi-software script to help install it to your system.

I'd check this post to get a step by step install guide for Kodi:
http://dietpi.com/phpbb/viewtopic.php?f=8&t=7
Post Reply